Page MenuHomePhabricator

Excessive margin in notifications overlay on tablets
Closed, ResolvedPublic

Description


Note the excessive whitespace.
We should get rid of the left margin to remove the gap.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: phuedx, JKatzWMF, dr0ptp4kt and 3 others.
phuedx set Security to None.
Jdlrobson updated the task description. (Show Details)Jun 22 2015, 4:30 PM

I've been poking at this a bit. Not too happy with any of the solutions so far :-/

Where's the patch for this?

https://gerrit.wikimedia.org/r/#/c/219989/
Sorry can't tag it right now as on mobile device and gerrit is not mobile friendly

Change 219989 had a related patch set uploaded (by Phuedx):
Fix the positioning of overlay headings

https://gerrit.wikimedia.org/r/219989

Talk looks fine to me in stable and beta - the close icon and content are aligned:

@bmansurov was concerned about a style regression but I honestly can't see it and am not sure we should block on it:
http://i.imgur.com/90zzOzW.png => http://i.imgur.com/dnVcnlI.png

bmansurov added a comment.EditedJun 26 2015, 10:24 AM

It's not only a minor styling issue, it's also about doing the right thing. You're basically ignoring "maxwidth - 2*paddings" and displaying content differently.

To quote @Jdlrobson yourself:

When focusing search or editor, the close icon should match up with the content area and the hamburger icon. [1]

You've written this patch to fix the spacing issue, but ignoring the new spacing issue.

[1] https://gerrit.wikimedia.org/r/#/c/219989/

Change 221090 had a related patch set uploaded (by Bmansurov):
Remove wikitext editor padding in alpha and beta.

https://gerrit.wikimedia.org/r/221090

Change 221090 merged by jenkins-bot:
Fix the positioning of overlay headings and content

https://gerrit.wikimedia.org/r/221090

phuedx closed this task as Resolved.Jul 3 2015, 12:26 PM

Verified on BC.

Change 219989 abandoned by Jdlrobson:
Fix the positioning of overlay headings

https://gerrit.wikimedia.org/r/219989